void m32c_abs_size_dst(void);
void m32c_abs_size_idst(void);
void m32c_adc_size_immdst(void);
void m32c_adc_size_srcdst(void);
void m32c_adcf_size_dst(void);
void m32c_adcf_size_idst(void);
void m32c_add_size_g_immdst(void);
void m32c_add_size_g_immidst(void);
void m32c_add_l_g_immdst(void);
void m32c_add_l_g_immidst(void);
void m32c_add_size_q_immdst(void);
void m32c_add_size_q_immidst(void);
void m32c_add_size_s_immdst(void);
void m32c_add_size_s_immidst(void);
void m32c_add_l_s_imm_a0a1(void);
void m32c_add_size_g_srcdst(void);
void m32c_add_size_g_isrcdst(void);
void m32c_add_size_g_srcidst(void);
void m32c_add_size_g_isrcidst(void);
void m32c_add_l_g_srcdst(void);
void m32c_add_l_g_isrcdst(void);
void m32c_add_l_g_srcidst(void);
void m32c_add_l_g_isrcidst(void);
void m32c_add_l_g_imm16sp(void);
void m32c_add_l_q_imm3sp(void);
void m32c_add_l_s_imm8sp(void);
void m32c_addx_immdst(void);
void m32c_addx_immidst(void);
void m32c_addx_srcdst(void);
void m32c_addx_isrcdst(void);
void m32c_addx_srcidst(void);
void m32c_addx_isrcidst(void);
void m32c_adjnz_size_immdstlbl(void);
void m32c_and_size_immdst(void);
void m32c_and_size_immidst(void);
void m32c_and_size_s_immdst(void);
void m32c_and_size_s_immidst(void);
void m32c_and_size_g_srcdst(void);
void m32c_and_size_g_isrcdst(void);
void m32c_and_size_g_srcidst(void);
void m32c_and_size_g_isrcidst(void);
void m32c_band_src(void);
void m32c_bclr(void);
void m32c_bitindex(void);
void m32c_bmcnd_dst(void);
void m32c_bmcnd_c(void);
void m32c_bnand_src(void);
void m32c_bnor_src0(void);
void m32c_bnot_dst(void);
void m32c_bntst_src(void);
void m32c_bnxor_src(void);
void m32c_bor_src(void);
void m32c_brk(void);
void m32c_brk2(void);
void m32c_bset_dst(void);
void m32c_btst_g_src(void);
void m32c_btst_s_src(void);
void m32c_btstc_dst(void);
void m32c_btsts_dst(void);
void m32c_bxor_src(void);
void m32c_clip(void);
void m32c_cmp_size_g_immdst(void);
void m32c_cmp_size_g_immidst(void);
void m32c_cmp_l_g_imm32dst(void);
void m32c_cmp_l_g_imm32idst(void);
void m32c_cmp_size_q_immdst(void);
void m32c_cmp_size_q_immidst(void);
void m32c_cmp_size_s_immdst(void);
void m32c_cmp_size_s_immidst(void);
void m32c_cmp_size_g_srcdst(void);
void m32c_cmp_size_g_isrcdst(void);
void m32c_cmp_size_g_srcidst(void);
void m32c_cmp_size_g_isrcidst(void);
void m32c_cmp_l_g_srcdst(void);
void m32c_cmp_l_g_isrcdst(void);
void m32c_cmp_l_g_srcidst(void);
void m32c_cmp_l_g_isrcidst(void);
void m32c_cmp_size_s_srcr0(void);
void m32c_cmp_size_s_isrcr0(void);
void m32c_cmpx_immdst(void);
void m32c_cmpx_immidst(void);
void m32c_dadc_size_immdst(void);
void m32c_dadc_size_srcdst(void);
void m32c_dadd_size_immdst(void);
void m32c_dadd_size_srcdst(void);
void m32c_dec_size_dst(void);
void m32c_dec_size_idst(void);
void m32c_div_size_imm(void);
void m32c_div_size_src(void);
void m32c_div_size_isrc(void);
void m32c_div_l_src(void);
void m32c_divu_size_imm(void);
void m32c_divu_size_src(void);
void m32c_divu_size_isrc(void);
void m32c_divu_l_src(void);
void m32c_divx_size_imm(void);
void m32c_divx_size_src(void);
void m32c_divx_size_isrc(void);
void m32c_divx_l_src(void);
void m32c_dsbb_size_immdst(void);
void m32c_dsbb_size_srcdst(void);
void m32c_dsub_size_immdst(void);
void m32c_dsub_size_srcdst(void);
void m32c_enter_imm(void);
void m32c_exitd(void);
void m32c_exts_size_dst(void);
void m32c_exts_b_src_dst(void);
void m32c_extz_src_dst(void);
void m32c_fclr(void);
void m32c_freit(void);
void m32c_fset(void);
void m32c_inc_size_dst(void);
void m32c_inc_size_idst(void);
void m32c_indexb_size_src(void);
void m32c_indexbd_size_src(void);
void m32c_indexbs_size_src(void);
void m32c_indexl_size_src(void);
void m32c_indexld_size_src(void);
void m32c_indexls_size_src(void);
void m32c_indexw_size_src(void);
void m32c_indexwd_size_src(void);
void m32c_indexws_size_src(void);
void m32c_int_imm(void);
void m32c_into(void);
void m32c_jcnd(void);
void m32c_jmp_s(void);
void m32c_jmp_w(void);
void m32c_jmp_a(void);
void m32c_jmpi_w_src(void);
void m32c_jmpi_a_src(void);
void m32c_jmps_imm8(void);
void m32c_jsr_w_label(void);
void m32c_jsr_a_label(void);
void m32c_jsri_w_src(void);
void m32c_jsri_a_src(void);
void m32c_jsrs_imm8(void);
void m32c_ldc_imm16_dst(void);
void m32c_ldc_imm24_dst(void);
void m32c_ldc_imm24_dst2(void);
void m32c_ldc_src_dst(void);
void m32c_ldc_src_dst2(void);
void m32c_ldc_src_dst3(void);
void m32c_ldctx(void);
void m32c_ldipl_imm(void);
void m32c_max_size_immdst(void);
void m32c_max_size_srcdst(void);
void m32c_min_size_immdst(void);
void m32c_min_size_srcdst(void);
void m32c_mov_size_g_immdst(void);
void m32c_mov_size_g_immidst(void);
void m32c_mov_l_g_immdst(void);
void m32c_mov_l_g_immidst(void);
void m32c_mov_size_q_imm4dst(void);
void m32c_mov_size_q_imm4idst(void);
void m32c_mov_size_s_immdst(void);
void m32c_mov_size_s_immidst(void);
void m32c_mov_size_s_imma0a1(void);
void m32c_mov_size_z_0dst(void);
void m32c_mov_size_z_0idst(void);
void m32c_mov_size_g_srcdst(void);
void m32c_mov_size_g_isrcdst(void);
void m32c_mov_size_g_srcidst(void);
void m32c_mov_size_g_isrcidst(void);
void m32c_mov_l_g_srcdst(void);
void m32c_mov_l_g_isrcdst(void);
void m32c_mov_l_g_srcidst(void);
void m32c_mov_l_g_isrcidst(void);
void m32c_mov_size_src_r0(void);
void m32c_mov_size_isrc_r0(void);
void m32c_mov_size_src_r1(void);
void m32c_mov_size_isrc_r1(void);
void m32c_mov_size_r0dst(void);
void m32c_mov_size_r0idst(void);
void m32c_mov_l_s_srca0a1(void);
void m32c_mov_l_s_isrca0a1(void);
void m32c_mov_size_g_dsp8spdst(void);
void m32c_mov_size_g_srcdsp8sp(void);
void m32c_mova_srcdst(void);
void m32c_movdir_r0ldst(void);
void m32c_movdir_srcr0l(void);
void m32c_movx_immdst(void);
void m32c_movx_immidst(void);
void m32c_mul_size_immdst(void);
void m32c_mul_size_immidst(void);
void m32c_mul_size_srcdst(void);
void m32c_mul_size_isrcdst(void);
void m32c_mul_size_srcidst(void);
void m32c_mul_size_isrcidst(void);
void m32c_mul_l_srcr2r0(void);
void m32c_mulex_src(void);
void m32c_mulex_isrc(void);
void m32c_mulu_size_immdst(void);
void m32c_mulu_size_immidst(void);
void m32c_mulu_size_srcdst(void);
void m32c_mulu_size_isrcdst(void);
void m32c_mulu_size_srcidst(void);
void m32c_mulu_size_isrcidst(void);
void m32c_mulu_l_srcr2r0(void);
void m32c_neg_size_dst(void);
void m32c_neg_size_idst(void);
void m32c_nop(void);
void m32c_not_size_dst(void);
void m32c_not_size_idst(void);
void m32c_or_size_g_immdst(void);
void m32c_or_size_g_immidst(void);
void m32c_or_size_s_immdst(void);
void m32c_or_size_s_immidst(void);
void m32c_or_size_srcdst(void);
void m32c_or_size_isrcdst(void);
void m32c_or_size_srcidst(void);
void m32c_or_size_isrcidst(void);
void m32c_pop_size_dst(void);
void m32c_pop_size_idst(void);
void m32c_popc_dst1(void);
void m32c_popc_dst2(void);
void m32c_popm_dst(void);
void m32c_push_size_imm(void);
void m32c_push_size_src(void);
void m32c_push_size_isrc(void);
void m32c_push_l_imm32(void);
void m32c_push_l_src(void);
void m32c_push_l_isrc(void);
void m32c_pusha_src(void);
void m32c_pushc_src1(void);
void m32c_pushc_src2(void);
void m32c_pushm_src(void);
void m32c_reit(void);
void m32c_rmpa_size(void);
void m32c_rolc_size_dst(void);
void m32c_rolc_size_idst(void);
void m32c_rorc_size_dst(void);
void m32c_rorc_size_idst(void);
void m32c_rot_size_immdst(void);
void m32c_rot_size_immidst(void);
void m32c_rot_size_r1hdst(void);
void m32c_rot_size_r1hidst(void);
void m32c_rts(void);
void m32c_sbb_size_immdst(void);
void m32c_sbb_size_srcdst(void);
void m32c_sccnd_dst(void);
void m32c_sccnd_idst(void);
void m32c_scmpu_size(void);
void m32c_sha_size_immdst(void);
void m32c_sha_size_immidst(void);
void m32c_sha_l_immdst(void);
void m32c_sha_l_immidst(void);
void m32c_sha_size_r1hdst(void);
void m32c_sha_size_r1hidst(void);
void m32c_sha_l_r1hdst(void);
void m32c_sha_l_r1hidst(void);
void m32c_shanc_l_immdst(void);
void m32c_shanc_l_immidst(void);
void m32c_shl_size_immdst(void);
void m32c_shl_size_immidst(void);
void m32c_shl_l_immdst(void);
void m32c_shl_l_immidst(void);
void m32c_shl_size_r1hdst(void);
void m32c_shl_size_r1hidst(void);
void m32c_shl_l_r1hdst(void);
void m32c_shl_l_r1hidst(void);
void m32c_shlnc_l_immdst(void);
void m32c_shlnc_l_immidst(void);
void m32c_sin_size(void);
void m32c_smovb_size(void);
void m32c_smovf_size(void);
void m32c_smovu_size(void);
void m32c_sout_size(void);
void m32c_sstr_size(void);
void m32c_stc_srcdst1(void);
void m32c_stc_srcdst2(void);
void m32c_stc_srcdst3(void);
void m32c_stctx_abs16abs24(void);
void m32c_stnz_size_immdst(void);
void m32c_stnz_size_immidst(void);
void m32c_stz_size_immdst(void);
void m32c_stz_size_immidst(void);
void m32c_stzx_size_imm1imm2dst(void);
void m32c_stzx_size_imm1imm2idst(void);
void m32c_sub_size_g_immdst(void);
void m32c_sub_size_g_immidst(void);
void m32c_sub_l_g_immdst(void);
void m32c_sub_l_g_immidst(void);
void m32c_sub_size_s_immdst(void);
void m32c_sub_size_s_immidst(void);
void m32c_sub_size_g_srcdst(void);
void m32c_sub_size_g_isrcdst(void);
void m32c_sub_size_g_srcidst(void);
void m32c_sub_size_g_isrcidst(void);
void m32c_sub_l_g_srcdst(void);
void m32c_sub_l_g_isrcdst(void);
void m32c_sub_l_g_srcidst(void);
void m32c_sub_l_g_isrcidst(void);
void m32c_subx_immdst(void);
void m32c_subx_immidst(void);
void m32c_subx_srcdst(void);
void m32c_subx_isrcdst(void);
void m32c_subx_srcidst(void);
void m32c_subx_isrcidst(void);
void m32c_tst_size_g_immdst(void);
void m32c_tst_size_s_immdst(void);
void m32c_tst_size_g_srcdst(void);
void m32c_und(void);
void m32c_wait(void);
void m32c_xchg_srcdst(void);
void m32c_xchg_srcidst(void);
void m32c_xor_immdst(void);
void m32c_xor_srcdst(void);
void m32c_xor_isrcdst(void);
void m32c_xor_srcidst(void);
void m32c_xor_isrcidst(void);
